{#<pagetitle>NHS.UK | Have you visited a healthcare provider</pagetitle>#}
{% from '../../../common/components/p/macro.njk' import p %}
{% from '../../../common/components/heading/macro.njk' import heading %}
{% from '../../../common/components/button/macro.njk' import button %}
{% from '../../../common/components/radios/macro.njk' import radios %}
<form action="visited-healthcare-provider" method="post" class="form">
<fieldset class="nhsuk-fieldset">
{{
    heading({
        subHeading:{text: 'visited-healthcare-provider-died.section.heading'},
        text: 'visited-healthcare-provider-died.h1',
        classes: 'nhsuk-fieldset__heading',
        locale: locale
    })
}}
    <div class="nhsuk-form-group {% if errors %} nhsuk-form-group--error {% endif %}" id="radios-visitedHealthCareProviderQuestion">
    {{ p({text:'visited-healthcare-provider-died.hint', classes:'nhsuk-hint', locale: locale}) }}

    {% for error in errors %}
        {% if error.param == 'Yes'%}
            <span class="nhsuk-error-message" id=visited-healthcare-provider-died-error" style="display: block;">
                {{ __({phrase: error.msg, locale: error.locale }) }}
            </span>
        {% endif %}
    {% endfor %}
    {{ radios({
      "idPrefix": "visited-healthcare-provider-died",
      "name": "VisitedHealthCareProvider",
      "items": [
        {
          "checked": (data.Data.VisitedHealthProvider === 'Yes'),
          "id": "Yes",
          "value": "Yes",
          "text": "visited-healthcare-provider-died.option1",
          "locale": locale
        },
        {
          "checked": (data.Data.VisitedHealthProvider === 'No'),
          "id": "No",
          "value": "No",
          "text": "visited-healthcare-provider-died.option2",
          "locale": locale
        }
      ]
    }) }}
    </div>
    </fieldset>
    {{ button({
        type: "submit",
        text: "common.button.continue",
        locale: locale
    }) }}
</form>
